Bug 1000894 - [abrt] lvm2-2.02.98-12.fc19: dm_malloc_aux: Process /usr/sbin/lvmetad was killed by signal 11 (SIGSEGV)
[abrt] lvm2-2.02.98-12.fc19: dm_malloc_aux: Process /usr/sbin/lvmetad was kil...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Rockai
Fedora Extras Quality Assurance
abrt_hash:2f87b682c1dd27cd1ca4c61e2c6...
:
: 997656 1003278 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 00:19 EDT by Ian Pilcher
Modified: 2013-11-03 00:31 EDT (History)
14 users (show)

See Also:
Fixed In Version: lvm2-2.02.98-13.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (27.45 KB, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: cgroup (170 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: core_backtrace (3.98 KB, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: dso_list (828 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: environ (163 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: maps (6.39 KB, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: open_fds (217 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: proc_pid_status (895 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
File: var_log_messages (653 bytes, text/plain)
2013-08-26 00:20 EDT, Ian Pilcher
no flags Details
Output of lvmdump -l (62.16 KB, application/gzip)
2013-09-13 10:21 EDT, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2013-08-26 00:19:56 EDT
Description of problem:
Log in to iSCSI target.

Version-Release number of selected component:
lvm2-2.02.98-12.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/lvmetad
crash_function: dm_malloc_aux
executable:     /usr/sbin/lvmetad
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (9 frames)
 #3 dm_malloc_aux at mm/dbg_malloc.c:269
 #4 _new_chunk at mm/pool-fast.c:281
 #5 dm_pool_alloc_aligned at mm/pool-fast.c:101
 #6 dm_pool_alloc at mm/pool-fast.c:85
 #7 dm_pool_zalloc at mm/pool.c:72
 #8 dm_config_create at libdm-config.c:102
 #9 dm_config_from_string at libdm-config.c:181
 #10 client_thread at daemon-server.c:382
 #12 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
Comment 1 Ian Pilcher 2013-08-26 00:20:03 EDT
Created attachment 790262 [details]
File: backtrace
Comment 2 Ian Pilcher 2013-08-26 00:20:07 EDT
Created attachment 790263 [details]
File: cgroup
Comment 3 Ian Pilcher 2013-08-26 00:20:11 EDT
Created attachment 790264 [details]
File: core_backtrace
Comment 4 Ian Pilcher 2013-08-26 00:20:15 EDT
Created attachment 790265 [details]
File: dso_list
Comment 5 Ian Pilcher 2013-08-26 00:20:19 EDT
Created attachment 790266 [details]
File: environ
Comment 6 Ian Pilcher 2013-08-26 00:20:23 EDT
Created attachment 790267 [details]
File: exploitable
Comment 7 Ian Pilcher 2013-08-26 00:20:27 EDT
Created attachment 790268 [details]
File: limits
Comment 8 Ian Pilcher 2013-08-26 00:20:31 EDT
Created attachment 790269 [details]
File: maps
Comment 9 Ian Pilcher 2013-08-26 00:20:35 EDT
Created attachment 790270 [details]
File: open_fds
Comment 10 Ian Pilcher 2013-08-26 00:20:40 EDT
Created attachment 790271 [details]
File: proc_pid_status
Comment 11 Ian Pilcher 2013-08-26 00:20:44 EDT
Created attachment 790272 [details]
File: var_log_messages
Comment 12 Ian Pilcher 2013-08-28 16:14:02 EDT
Log in to iSCSI target.  LUNs on target contain VM disks, which use LVM.

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/sbin/lvmetad
crash_function: dm_malloc_aux
executable:     /usr/sbin/lvmetad
kernel:         3.10.9-200.fc19.x86_64
package:        lvm2-2.02.98-12.fc19
reason:         Process /usr/sbin/lvmetad was killed by signal 11 (SIGSEGV)
runlevel:       N 5
uid:            0
Comment 13 Peter Rajnoha 2013-08-29 03:49:01 EDT
(In reply to Ian Pilcher from comment #12)
> Log in to iSCSI target.  LUNs on target contain VM disks, which use LVM.
> 

Please, post the output of lvmdump -l (this will include lvmetad dump so we'll see what's cached in lvmetad daemon).

If I understand correctly, your setup is:
   on host side: iSCSI connected LUN -> LVM (then the LVs used as VM disk)
   on guest side: LVM

If that is true, please, consider using devices/global_filter to completely filter out the guest side LVM volumes so they don't interfere with host side LVM.
Anyway, even without filtering, it should not segfault, of course. That "lvmdump -l" should help us a bit - please, attach it to this report. Thanks.
Comment 14 Ian Pilcher 2013-09-13 10:21:28 EDT
Created attachment 797372 [details]
Output of lvmdump -l

(In reply to Peter Rajnoha from comment #13)
> Please, post the output of lvmdump -l (this will include lvmetad dump so
> we'll see what's cached in lvmetad daemon).

Done.

> If I understand correctly, your setup is:
>    on host side: iSCSI connected LUN -> LVM (then the LVs used as VM disk)
>    on guest side: LVM

That is correct.

> If that is true, please, consider using devices/global_filter to completely
> filter out the guest side LVM volumes so they don't interfere with host side
> LVM.

That was actually my first thought.  Unfortunately, I can't come up with a filter with will ignore /dev/sdc (for example) when it's an iSCSI LUN but still use it when it's a USB drive.  (Yes, I've been known to use LVM on external drives.)
Comment 15 Peter Rajnoha 2013-09-16 09:01:01 EDT
(In reply to Ian Pilcher from comment #14)
> Created attachment 797372 [details]
> Output of lvmdump -l
> 
> (In reply to Peter Rajnoha from comment #13)
> > Please, post the output of lvmdump -l (this will include lvmetad dump so
> > we'll see what's cached in lvmetad daemon).
> 
> Done.

Thanks, I'll have a look...

> 
> > If that is true, please, consider using devices/global_filter to completely
> > filter out the guest side LVM volumes so they don't interfere with host side
> > LVM.
> 
> That was actually my first thought.  Unfortunately, I can't come up with a
> filter with will ignore /dev/sdc (for example) when it's an iSCSI LUN but
> still use it when it's a USB drive.  (Yes, I've been known to use LVM on
> external drives.)

The best is to accept only known PVs and reject any other - maybe try to use a match against /dev/disk/by-* entries - these include some constant name schemes or IDs that do not change upon reboot/connection (e.g. vendor, model names or WWN in case of iSCSI).

If you're using lvmetad (global/use_lvmetad=1 in lvm.conf), be sure to use devices/global_filter instead of devices/filter setting.
Comment 16 Petr Rockai 2013-10-09 18:42:58 EDT
Upstream fix in b5aad86710be57833879ac0e8609021828949682.
Comment 17 Zdenek Kabelac 2013-10-22 04:50:55 EDT
*** Bug 1003278 has been marked as a duplicate of this bug. ***
Comment 18 Ian Pilcher 2013-10-22 11:20:35 EDT
(In reply to Petr Rockai from comment #16)
> Upstream fix in b5aad86710be57833879ac0e8609021828949682.

Any chance of a build with this fix included?
Comment 19 Peter Rajnoha 2013-10-23 03:33:20 EDT
(In reply to Ian Pilcher from comment #18)
> (In reply to Petr Rockai from comment #16)
> > Upstream fix in b5aad86710be57833879ac0e8609021828949682.
> 
> Any chance of a build with this fix included?

There are more patches queued for F19. I'd need to find some time to backport them, but I hope this Friday or during next week definitely.
Comment 20 Peter Rajnoha 2013-10-29 04:13:12 EDT
*** Bug 997656 has been marked as a duplicate of this bug. ***
Comment 21 Fedora Update System 2013-10-31 04:32:02 EDT
lvm2-2.02.98-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lvm2-2.02.98-13.fc19
Comment 22 Fedora Update System 2013-10-31 23:57:25 EDT
Package lvm2-2.02.98-13.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lvm2-2.02.98-13.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20436/lvm2-2.02.98-13.fc19
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2013-11-03 00:31:58 EDT
lvm2-2.02.98-13.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.